package de.ugoe.cs.rwm.mocci;

import java.nio.file.Path;

import org.eclipse.cmf.occi.core.impl.OCCIFactoryImpl;
import org.eclipse.cmf.occi.infrastructure.impl.InfrastructureFactoryImpl;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.resource.Resource;
import org.modmacao.occi.platform.impl.PlatformFactoryImpl;
import org.modmacao.placement.impl.PlacementFactoryImpl;

import de.ugoe.cs.rwm.docci.connector.Connector;
import monitoring.impl.MonitoringFactoryImpl;

public abstract class AbsScaler {
	protected InfrastructureFactoryImpl iFactory = new InfrastructureFactoryImpl();
	protected OCCIFactoryImpl factory = new OCCIFactoryImpl();
	protected MonitoringFactoryImpl mFactory = new MonitoringFactoryImpl();
	protected PlatformFactoryImpl pFactory = new PlatformFactoryImpl();
	protected PlacementFactoryImpl placeFactory = new PlacementFactoryImpl();
	protected Resource runtimeModel;
	protected Connector conn;
	protected Path runtimePath;
	
	
	protected org.eclipse.cmf.occi.core.Resource getResourceById(EList<org.eclipse.cmf.occi.core.Resource> eList, String string) {
		for(org.eclipse.cmf.occi.core.Resource res: eList ) {
			if(res.getId().equals(string)) {
				return res;
			}
		}
		return null;
	}
}
